Bug 834247 - SELinux is preventing /usr/bin/ruby from 'create' accesses on the directory aeolus-configserver.
SELinux is preventing /usr/bin/ruby from 'create' accesses on the directory a...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:52da8cc70278efce887a70e251b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-21 06:24 EDT by Armando
Modified: 2012-06-30 17:52 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-30 17:52:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Armando 2012-06-21 06:24:13 EDT
libreport version: 2.0.10
executable:     /usr/bin/python2.7
hashmarkername: setroubleshoot
kernel:         3.4.2-4.fc17.i686
time:           Qui 21 Jun 2012 07:23:50 BRT

description:
:SELinux is preventing /usr/bin/ruby from 'create' accesses on the directory aeolus-configserver.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If você acredita que o ruby deva ser permitido acesso de create em aeolus-configserver directory  por default.
:Then você precisa reportar este como um erro.
:Você pode gerar um módulo de política local para permitir este acesso.
:Do
:permitir este acesso agora executando:
:# grep thin /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:thin_t:s0
:Target Context                system_u:object_r:var_run_t:s0
:Target Objects                aeolus-configserver [ dir ]
:Source                        thin
:Source Path                   /usr/bin/ruby
:Port                          <Desconhecido>
:Host                          (removed)
:Source RPM Packages           ruby-1.9.3.194-13.fc17.i686
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-132.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux armando2012 3.4.2-4.fc17.i686 #1 SMP Thu Jun
:                              14 22:19:00 UTC 2012 i686 i686
:Alert Count                   1
:First Seen                    Qui 21 Jun 2012 07:14:49 BRT
:Last Seen                     Qui 21 Jun 2012 07:14:49 BRT
:Local ID                      5ad086e2-7b14-44e3-983f-e1cd86a91c43
:
:Raw Audit Messages
:type=AVC msg=audit(1340273689.297:41): avc:  denied  { create } for  pid=920 comm="thin" name="aeolus-configserver" scontext=system_u:system_r:thin_t:s0 tcontext=system_u:object_r:var_run_t:s0 tclass=dir
:
:
:type=SYSCALL msg=audit(1340273689.297:41): arch=i386 syscall=mkdir success=no exit=EACCES a0=9aad0f0 a1=1ff a2=b76ec2b4 a3=bfeac3d8 items=0 ppid=1 pid=920 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=thin exe=/usr/bin/ruby subj=system_u:system_r:thin_t:s0 key=(null)
:
:Hash: thin,thin_t,var_run_t,dir,create
:
:audit2allowunable to open /sys/fs/selinux/policy:  Permission denied
:
:
:audit2allow -Runable to open /sys/fs/selinux/policy:  Permission denied
:
:
Comment 1 Miroslav Grepl 2012-06-22 03:19:58 EDT
Does aeolus create the /var/run/aeolus-configserve directory?

Fixed in selinux-policy-3.10.0-133.fc17
Comment 2 Fedora Update System 2012-06-26 17:48:28 EDT
selinux-policy-3.10.0-134.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-134.fc17
Comment 3 Fedora Update System 2012-06-27 23:38:40 EDT
Package selinux-policy-3.10.0-134.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-134.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-10008/selinux-policy-3.10.0-134.fc17
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-06-30 17:52:14 EDT
selinux-policy-3.10.0-134.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.